Subject: RE: Build of Perl Tk Module fails with Cygwin
From: Neil Lunn <[email-masked]>
To: "'Paul A. Chernoch'" <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Apr 2001 08:17:17 +1000

There are actually two seperate submissions that have been issued as patches
to the Tk800.022 distribution to enable it's operation with a perl built for
cygwin.

The First submission Tk.cygwin.patch found in the archive:
http://sources.redhat.com/ml/cygwin/2000-08/msg01201.html

The Second submission Tk.patch2 to be applied in addition to the first
patch:
http://sources.redhat.com/ml/cygwin/2001-01/msg00254.html

For prosperity's sake I have attached a combined patch that can be applied
*once* only *without* other patches.

After the patch is applied, further details about the build will be
contained within the README.cygwin file in the Tk800.022 distribtion
directory.

Common Build Recipe
================
Unpack the current distribution into a empty directory:

tar zxvf Tk800.022.tar.gz \
cd Tk800.022 \
patch -p1<../pTk.patch \
perl Makefile.PL \
make \
make test \
make install

Regards,
Neil

> -----Original Message-----
> From: Paul A. Chernoch [mailto:[email-masked]]
> Sent: Tuesday, April 17, 2001 5:36 PM
> To: Neil Lunn; [email-masked]
> Subject: RE: Build of Perl Tk Module fails with Cygwin
> 
> 
> I tried the patch and get an error when I test for lack of 
> some header files:
> 
> gcc -c -I..  -I. -Ibitmaps  -DPERL_USE_SAFE_PUTENV -DHAS_SBRK_PROTO 
> -fno-strict-aliasing -DUSEIMPORT
> LIB -O2   -DVERSION=\"800.022\" 
> -DXS_VERSION=\"800.022\"  -I/usr/lib/perl5/5.6.1/cygwin/CORE -D__WIN
> 32__ -DWIN32 -Wall -Wno-implicit-int -Wno-comment -Wno-unused 
> -D__USE_FIXED_PROTOTYPES__ ClientWin.c
> 
> ClientWin.c:30: X11/Xlib.h: No such file or directory
> ClientWin.c:31: X11/Xatom.h: No such file or directory
> make[1]: *** [ClientWin.o] Error 1
> make[1]: Leaving directory `/.cpan/build/Tk800.022/pTk'
> make: *** [pTk/libpTk.a] Error 2
> 
> Ought I need these header files for a Win32 Tk build? If so, 
> where can I 
> get them?
> 
>     - Paul
> .........
> 
> At 02:27 PM 4/17/2001 +1000, you wrote:
> >I'd normally say "search the archives" but this doesn't seem 
> to be getting a
> >hit for "Tk" right now.
> >
> >Anyway, follow the links in this message:
> >
> >http://sources.redhat.com/ml/cygwin/2001-01/msg00254.html
> >
> >Neil Lunn
> >
> > > -----Original Message-----
> > > From: Paul A. Chernoch [mailto:[email-masked]]
> > > Sent: Tuesday, April 17, 2001 2:07 PM
> > > To: [email-masked]
> > > Subject: Build of Perl Tk Module fails with Cygwin
> > >
> > >
> > > I am trying to build the Tk Perl module for Cygwin. I can
> > > find no special
> > > Cygwin readme in the release, so expected clear sailing, but
> > > instead was
> > > confronted with these messages from the CPAN module:
> > >
> > >    CPAN.pm: Going to build N/NI/NI-S/Tk402.004.tar.gz
> > >
> > > /usr/bin/perl is installed in /usr/lib/perl5/5.6.1/cygwin okay
> > > Test Compiling config/signedchar.c
> > > Test Compiling config/Ksprintf.c
> > > Test Compiling config/tod.c
> > > Test Compiling -DTIMEOFDAY_TZ config/tod.c
> > > TZ gettimeofday()
> > > Cannot find xmkmf
> > > Cannot find -lX11 anywhere at ./myConfig line 284.
> > > Compilation failed in require at Makefile.PL line 12.
> > > BEGIN failed--compilation aborted at Makefile.PL line 14.
> > >
> > > I tried the module by itself as well as in Bundle::Tk. That
> > > "-X11" switch
> > > sounds like X-Windows to me; do I need an entire X-Windows
> > > installation to
> > > use this? Or can it piggy back on Windows like my Activestate
> > > Perl Tk does?
> > > Here is hoping that someone has worked with Tk.
> > >
> > >    - Paul
> > > . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
> > >
> > > Paul Anton Chernoch
> > > Zeborg, Inc.
> > > 500 West Cummings Park
> > > Woburn, MA 01801
> > >
> > > t: 781.759.0105
> > > f: 781.935.5090
> > > c: 781.606.7382
> > >
> > > http://www.zeborg.com
> > > This message is a personal and confidential communication. If
> > > you are not
> > > the intended recipient, please do not read, copy, or use it,
> > > and do not
> > > disclose it to others. Please notify the sender of the
> > > delivery error by
> > > replying to this message, and then delete it from your
> > > system. Thank you.
> > >
> > > . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
> > >
> > >
> > >
> > > --
> > > Want to unsubscribe from this list?
> > > Check out: http://cygwin.com/ml/#unsubscribe-simple
> > >
> >
> >_____________________________________________________________
> _____________
> >Please Note :
> >Only  the intended recipient is authorised to access or use 
> this e-mail.  If
> >you are not the intended recipient,
> >please delete this e-mail and notify the sender immediately. 
>   The contents
> >of this e-mail are the writer's
> >opinion and are not necessarily endorsed by the Gunz Companies unless
> >expressly stated.
> >
> >We use virus scanning software but exclude all liability for 
> viruses or
> >similar in any attachment.
> 
> . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
> 
> Paul Anton Chernoch
> Zeborg, Inc.
> 500 West Cummings Park
> Woburn, MA 01801
> 
> t: 781.759.0105
> f: 781.935.5090
> c: 781.606.7382
> 
> http://www.zeborg.com
> This message is a personal and confidential communication. If 
> you are not
> the intended recipient, please do not read, copy, or use it, 
> and do not
> disclose it to others. Please notify the sender of the 
> delivery error by
> replying to this message, and then delete it from your 
> system. Thank you.
> 
> . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 

__________________________________________________________________________
Please Note :
Only  the intended recipient is authorised to access or use this e-mail.  If
you are not the intended recipient,
please delete this e-mail and notify the sender immediately.   The contents
of this e-mail are the writer's 
opinion and are not necessarily endorsed by the Gunz Companies unless
expressly stated.

We use virus scanning software but exclude all liability for viruses or
similar in any attachment.

  

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple